﻿/*
 * Készítette a SharpDevelop.
 * Felhasználó: phil
 * Dátum: 2009.11.21.
 * Idő: 14:14
 * 
 * A sablon megváltoztatásához használja az Eszközök | Beállítások | Kódolás | Szabvány Fejlécek Szerkesztését.
 */
using System;

namespace Noise.DataAcquisition
{
	/// <summary>
	/// A generic interface for classes which are able to enqueue and dequeue data from an ISerialDataCollector.
	/// </summary>
	public interface IChannelDataSocket<T>
	{
		ChannelInfo ChannelInfo { get; }
		
		int Count { get; }
		
		T CurrentValue { get; }
		
		object SyncRoot { get; }
		
		T Dequeue();
		
		void Enqueue(T item);
	}
}
